//---------------------------------------------------------------------------
#ifndef ftech2H
#define ftech2H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:
    TPanel *Panel1;
    TTrackBar *TrackBar1;
    TLabel *Label1;
    TLabel *Label2;
    TTrackBar *TrackBar2;
    TLabel *Label3;
    TTrackBar *TrackBar3;
    TPaintBox *PaintBox1;
    void __fastcall TrackBar1Change(TObject *Sender);
    void __fastcall FormPaint(TObject *Sender);
    void __fastcall FormShow(TObject *Sender);
private:
    TPunkt Pobs;
    void inicjuj_parametry( void);
    void punkt3d( TPunkt p, T3d *d, TCanvas *cnv, TColor kolor);
    void linia3d( TPunkt p1, TPunkt p2, T3d *d, TCanvas *cnv, TColor kolor);
public:
    __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
